<div class="accordion" style="margin-top: 3px">
  <div class="accordion-item">
    <h2 class="accordion-header">
      <button class="accordion-button" [ngStyle]="{ 'background-color': getColor(), 'color': getAdjustedColor() }"
        type="button" (click)="toggleCollapse()" [attr.aria-expanded]="!isCollapsed">
        {{ robot.name }}
        <div class="spinner" *ngIf="isLoading"></div>
        <img *ngIf="robotImageType === 'random'" [src]="robot.img[0]" style="width:50px; margin-left: 15px;"
          (load)="isLoading = false">
        <img *ngIf="robotImageType === 'team'" [src]="robot.img[1]" style="width:50px; margin-left: 15px;"
          (load)="isLoading = false">
        <img *ngIf="robot.alive === false" src='../../../assets/images/icons/dead-robot.png'
          style="width:50px; margin-left: 30px;" (load)="isLoading = false">
        <img *ngIf="infoToShow === 'Cargo'" style="margin-left: 15px;" class="cargoimage"
          [src]="getMaterialImage(getMostMaterial(robot.cargo))" [title]="getMostMaterial(robot.cargo)" alt="" />
      </button>
    </h2>
    <div [ngClass]="{ 'accordion-collapse': true, collapse: isCollapsed }">
      <div class="accordion-body">
        <div>
          <button class="btn btn-primary" (click)="toggleHighlighting()">
            {{
            robot.highlighted ? "Dont Highlight Robot" : "Highlight Robot"
            }}</button><br />
          <strong><u>IDs:</u></strong>
          <div class="button-row" style="margin-top: 3px; margin-bottom: 3px">
            <div class="text-button" (click)="copyToClipboard(robot.planetId)">
              <img src="../../../assets/images/icons/planet.png" class="cargoimage" alt="planet" />
            </div>
            <div class="text-button" (click)="copyToClipboard(robot.playerId)">
              <img src="../../../assets/images/icons/player.png" class="cargoimage" alt="player" />
            </div>
            <div class="text-button" (click)="copyToClipboard(robot.robotId)">
              <img *ngIf="robotImageType === 'random'" [src]="robot.img[0]" class="cargoimage" alt="robot"
                (load)="isLoading = false">
              <img *ngIf="robotImageType === 'team'" [src]="robot.img[1]" class="cargoimage" alt="robot"
                (load)="isLoading = false">
            </div>
          </div>
        </div>
        <div class="robot-details">
          <h2 class="section-title">Vitals:</h2>
          <div class="vital-stats">
            <div class="stat-item">
              <img src="../../../assets/images/icons/health.png" alt="Health" class="icon" />
              <div class="progress-bar-container">
                <div class="progress-bar" [style.width]="robot.vitals.health * 10 + '%'"
                  [style.backgroundColor]="getColorForHealth(robot.vitals.health)">
                  {{ robot.alive ? robot.vitals.health : 0 }}
                </div>
              </div>
            </div>
            <div class="stat-item">
              <img src="../../../assets/images/icons/energy.png" alt="Energy" class="icon" />
              <div class="progress-bar-container">
                <div class="progress-bar" [style.width]="(robot.vitals.energy / 20) * 100 + '%'"
                  [style.backgroundColor]="getColorForEnergy(robot.vitals.energy)">
                  {{ robot.alive ? robot.vitals.energy : 0 }}
                </div>
              </div>
            </div>
          </div>

          <h2 class="section-title">Cargo:</h2>
          <div class="cargo-display">
            <div class="cargo-container">
              <div class="cargo-item" *ngIf="robot.cargo.coal > 0">
                <img title="Coal" [src]="getMaterialImage('coal')" alt="Coal" class="cargoimage" />
                <span>{{ robot.cargo.coal }}</span>
              </div>
              <div class="cargo-item" *ngIf="robot.cargo.iron > 0">
                <img title="Iron" [src]="getMaterialImage('iron')" alt="Iron" class="cargoimage" />
                <span>{{ robot.cargo.iron }}</span>
              </div>
              <div class="cargo-item" *ngIf="robot.cargo.gem > 0">
                <img title="Gem" [src]="getMaterialImage('gem')" alt="Gem" class="cargoimage" />
                <span>{{ robot.cargo.gem }}</span>
              </div>
              <div class="cargo-item" *ngIf="robot.cargo.gold > 0">
                <img title="Gold" [src]="getMaterialImage('gold')" alt="Gold" class="cargoimage" />
                <span>{{ robot.cargo.gold }}</span>
              </div>
              <div class="cargo-item" *ngIf="robot.cargo.platin > 0">
                <img title="Platin" [src]="getMaterialImage('platin')" alt="Platin" class="cargoimage" />
                <span>{{ robot.cargo.platin }}</span>
              </div>
              <div class="cargo-item" *ngIf="robot.cargo.used === 0">
                <span>{{ robot.cargo.used }}</span>
              </div>
            </div>
            <div class="cargo-capacity">
              <span class="slash">/</span>
              <span>{{ robot.cargo.capacity }} Capacity</span>
            </div>
          </div>

          <h2 class="section-title">Levels:</h2>
          <div *ngIf="isLeveled(robot.levels); else notLeveled">
            <div *ngIf="robot.levels.damage > 0">
              Damage:
              <div class="progress">
                <div class="progress-bar" role="progressbar" [style.width]="(robot.levels.damage / 5) * 100 + '%'"
                  [attr.aria-valuenow]="robot.levels.damage" aria-valuemin="0" aria-valuemax="5">
                  {{ robot.levels.damage }}
                </div>
              </div>
            </div>
            <div *ngIf="robot.levels.energy > 0">
              Energy:
              <div class="progress">
                <div class="progress-bar" role="progressbar" [style.width]="(robot.levels.energy / 5) * 100 + '%'"
                  [attr.aria-valuenow]="robot.levels.energy" aria-valuemin="0" aria-valuemax="5">
                  {{ robot.levels.energy }}
                </div>
              </div>
            </div>
            <div *ngIf="robot.levels.energyRegeneration > 0">
              Energy Regeneration:
              <div class="progress">
                <div class="progress-bar" role="progressbar" [style.width]="
                    (robot.levels.energyRegeneration / 5) * 100 + '%'
                  " [attr.aria-valuenow]="robot.levels.energyRegeneration" aria-valuemin="0" aria-valuemax="5">
                  {{ robot.levels.energyRegeneration }}
                </div>
              </div>
            </div>
            <div *ngIf="robot.levels.health > 0">
              Health:
              <div class="progress">
                <div class="progress-bar" role="progressbar" [style.width]="(robot.levels.health / 5) * 100 + '%'"
                  [attr.aria-valuenow]="robot.levels.health" aria-valuemin="0" aria-valuemax="5">
                  {{ robot.levels.health }}
                </div>
              </div>
            </div>
            <div *ngIf="robot.levels.miningLevel > 0">
              Mining Level:
              <div class="progress">
                <div class="progress-bar" role="progressbar" [style.width]="(robot.levels.miningLevel / 5) * 100 + '%'"
                  [attr.aria-valuenow]="robot.levels.miningLevel" aria-valuemin="0" aria-valuemax="5">
                  {{ robot.levels.miningLevel }}
                </div>
              </div>
              <div *ngIf="robot.levels.miningSpeed > 0">
                Mining Speed:
                <div class="progress">
                  <div class="progress-bar" role="progressbar"
                    [style.width]="(robot.levels.miningSpeed / 5) * 100 + '%'"
                    [attr.aria-valuenow]="robot.levels.miningSpeed" aria-valuemin="0" aria-valuemax="5">
                    {{ robot.levels.miningSpeed }}
                  </div>
                </div>
              </div>
              <div *ngIf="robot.levels.storage > 0">
                Storage:
                <div class="progress">
                  <div class="progress-bar" role="progressbar" [style.width]="(robot.levels.storage / 5) * 100 + '%'"
                    [attr.aria-valuenow]="robot.levels.storage" aria-valuemin="0" aria-valuemax="5">
                    {{ robot.levels.storage }}
                  </div>
                </div>
              </div>
            </div>
          </div>
          <ng-template #notLeveled><i>Not leveled yet</i></ng-template>
        </div>
      </div>
    </div>
  </div>
</div>